| Home | Libraries | People | FAQ | More

##### pop_back

###### Description

Returns a new sequence, with the last element of the original removed.

###### Synopsis

    template<
        typename Sequence
        >
    typename result_of::pop_back<Sequence const>::type pop_back(Sequence const& seq);

Table 1.69. Parameters

Parameter | Requirement | Description
--- | --- | ---
`seq` | A model of Forward Sequence | Operation's argument

###### Expression Semantics

    pop_back(seq);

Return type: A model of Forward Sequence.

Semantics: Returns a new sequence containing all the elements of `seq`, except the last element. The elements in the new sequence are in the same order as they were in `seq`.

###### Complexity

Constant. Returns a view which is lazily evaluated.

###### Header

    #include <boost/fusion/algorithm/transformation/pop_back.hpp>
    #include <boost/fusion/include/pop_back.hpp>

###### Example

    assert(___pop_back__(make_vector(1,2,3)) == make_vector(1,2));